List schools
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of schools in which the class is taught.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EduRoster.ReadBasic |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EduRoster.Read.All, EduRoster.ReadWrite.All |
HTTP request
GET /education/classes/{id}/schools
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of educationSchool objects in the response body.
Example
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/education/classes/11014/schools
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "10002",
"displayName": "Fabrikam High School",
"description": "Magnate school for the arts. Los Angeles School District",
"status": "String",
"externalSource": "String",
"principalEmail": "AmyR@fabrikam.com",
"principalName": "Amy Roebuck",
"externalPrincipalId": "14007",
"highestGrade": "12",
"lowestGrade": "9",
"schoolNumber": "10002",
"address": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"externalId": "10002",
"phone": "+1 (253) 555-0102",
}
]
}
Feedback
Submit and view feedback for